﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace Office2kLineDemo
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void xamDataGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            EmployeeStatsDS ds = new EmployeeStatsDS();
            EmployeeStatsDS.EmployeeRow empRow = null;
            EmployeeStatsDS.EmployeeBenefitsRow empBenRow = null;
            EmployeeStatsDS.EmployeeBenefitProvidersRow empBenProvRow = null;


            empRow = ds.Employee.NewEmployeeRow();
            empRow.EmpID = 1;
            empRow.Name = "John Smith";
            empRow.Department = "Human Resources";
            empRow.Salary = 52500;
            ds.Employee.AddEmployeeRow(empRow);
            ds.Employee.AcceptChanges();

            {
                empBenRow = ds.EmployeeBenefits.NewEmployeeBenefitsRow();
                empBenRow.EmpID = empRow.EmpID;
                empBenRow.BenefitID = 1;
                empBenRow.Name = "Massage";
                ds.EmployeeBenefits.AddEmployeeBenefitsRow(empBenRow);
                ds.EmployeeBenefits.AcceptChanges();

                {
                    empBenProvRow = ds.EmployeeBenefitProviders.NewEmployeeBenefitProvidersRow();
                    empBenProvRow.EmpID = empRow.EmpID;
                    empBenProvRow.BenefitID = empBenRow.BenefitID;
                    empBenProvRow.ProviderID = 1;
                    empBenProvRow.Name = "Massages-R-Us";
                    ds.EmployeeBenefitProviders.AddEmployeeBenefitProvidersRow(empBenProvRow);
                    ds.EmployeeBenefitProviders.AcceptChanges();
                }

            }


            empRow = ds.Employee.NewEmployeeRow();
            empRow.EmpID = 2;
            empRow.Name = "Mary Hernandez";
            empRow.Department = "Sales";
            empRow.Salary = 65100;
            ds.Employee.AddEmployeeRow(empRow);
            ds.Employee.AcceptChanges();

            {
                empBenRow = ds.EmployeeBenefits.NewEmployeeBenefitsRow();
                empBenRow.EmpID = empRow.EmpID;
                empBenRow.BenefitID = 1;
                empBenRow.Name = "Massage";
                ds.EmployeeBenefits.AddEmployeeBenefitsRow(empBenRow);
                ds.EmployeeBenefits.AcceptChanges();

                {
                    for (uint i = 0; i < 10; ++i)
                    {
                        empBenProvRow = ds.EmployeeBenefitProviders.NewEmployeeBenefitProvidersRow();
                        empBenProvRow.EmpID = empRow.EmpID;
                        empBenProvRow.BenefitID = empBenRow.BenefitID;
                        empBenProvRow.ProviderID = i + 1;
                        empBenProvRow.Name = string.Format("Provider {0}", empBenProvRow.ProviderID);
                        ds.EmployeeBenefitProviders.AddEmployeeBenefitProvidersRow(empBenProvRow);
                        ds.EmployeeBenefitProviders.AcceptChanges();
                    }
                }

            }


            xamDataGrid1.DataSource = ds.Employee.DefaultView;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            DataView dv = xamDataGrid1.DataSource as DataView;
            EmployeeStatsDS ds = dv.Table.DataSet as EmployeeStatsDS;

            for (int i = 0; i < ds.EmployeeBenefitProviders.Count(); ++i)
            {
                ds.EmployeeBenefitProviders[i].Name = string.Format("New Name {0}", i);
            }

            ds.EmployeeBenefitProviders.AcceptChanges();
        }
    }
}
